GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/i386-go32-tdep.c File Reference
`#include "defs.h"`
`#include "i386-tdep.h"`
`#include "x86-xstate.h"`
`#include "target-descriptions.h"`
`#include "osabi.h"`

Go to the source code of this file.

## Functions
static void | i386_go32_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
static enum gdb_osabi | i386_coff_osabi_sniffer (bfd *abfd)
void | _initialize_i386_go32_tdep ()

## Function Documentation

## ◆ _initialize_i386_go32_tdep()

void _initialize_i386_go32_tdep | ( |  | ) |

Definition at line 66 of file i386-go32-tdep.c.

References GDB_OSABI_GO32, gdbarch_register_osabi(), gdbarch_register_osabi_sniffer(), i386_coff_osabi_sniffer(), and i386_go32_init_abi().

## ◆ i386_coff_osabi_sniffer()

static enum gdb_osabi i386_coff_osabi_sniffer | ( | bfd * | abfd | ) |
| static

Definition at line 55 of file i386-go32-tdep.c.

References GDB_OSABI_GO32, and GDB_OSABI_UNKNOWN.

Referenced by _initialize_i386_go32_tdep().

## ◆ i386_go32_init_abi()

static void i386_go32_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 27 of file i386-go32-tdep.c.

References gdbarch_tdep(), i386_svr4_reg_to_regnum(), i386_target_description(), gdbarch_tdep::jb_pc_offset, set_gdbarch_has_dos_based_file_system(), set_gdbarch_sdb_reg_to_regnum(), set_gdbarch_stab_reg_to_regnum(), set_gdbarch_wchar_bit(), set_gdbarch_wchar_signed(), gdbarch_tdep::sigtramp_p, gdbarch_info::target_desc, gdbarch_tdep::tdesc, tdesc_has_registers(), and X86_XSTATE_X87_MASK.

Referenced by _initialize_i386_go32_tdep().